1.0

1.0

get /v1/vpn-tunnels

Description

VPN tunnel 목록 조회

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
VPN Tunnel 이름
Example : ExampleVpnTunnel1
stringNone
queryvpn_gateway_id
optional
VPN Gateway ID
Example : b156740b6335468d8354eb9ef8eddf5a
stringNone
queryvpn_gateway_name
optional
VPN Gateway Name
Example : ExampleVpnGW1
stringNone
querypeer_gateway_ip
optional
VPN Tunnel Peer Gateway IP 주소
Example : 123.0.0.2
stringNone
queryremote_subnet
optional
VPN Tunnel IPSec Remote Subnet
Example : 10.1.0.0/16
stringNone

Responses

HTTP CodeDescriptionSchema
200OKVpnTunnelListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpn-tunnels

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpn 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "vpn_tunnels": [
        {
            "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Example Description for VPN Tunnel",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ExampleVpnTunnel1",
            "phase1": {
                "dpd_retry_interval": 60,
                "ike_version": 2,
                "life_time": 86400,
                "peer_gateway_ip": "123.0.0.2"
            },
            "phase2": {
                "life_time": 43200,
                "perfect_forward_secrecy": "ENABLE",
                "remote_subnet": "10.1.0.0/16"
            },
            "state": "ACTIVE",
            "vpc_id": "ceb44ea5ecb34a49b16495f9a63b0718",
            "vpc_name": "ExampleVPC1",
            "vpn_gateway_id": "b156740b6335468d8354eb9ef8eddf5a",
            "vpn_gateway_ip_address": "123.0.0.1",
            "vpn_gateway_name": "ExampleVpnGW1"
        }
    ]
}